Get all service business unit profile value details using advanced query
post
/api/boss/data/objects/ora/cxServiceCore/common/v1/serviceBusinessUnits/$views/businessUnitProfileValues/$query
The service business units resource is used to view, create, and update business unit profile values for service.
Request
Query Parameters
-
$effectiveDate: string(date)
Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
Supported Media Types
- application/json
Nested Schema : schema
Type:
Show Source
object-
accessors: object
accessors
Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
-
fields: array
fields
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
-
subTypes: object
subTypes
Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : type
Type:
Show Source
object-
collection: object
collection
Defines query criteria that can be applied on a resource collection.
Nested Schema : type
Type:
Show Source
object-
parameters: object
parameters
Values to be applied in a parameterized filter specific to the view.
Nested Schema : accessors
Type:
objectMaps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
Nested Schema : fields
Type:
arrayRestricts the resource fields. Only the specified fields and mandatory system fields are returned.
Show Source
Nested Schema : subTypes
Type:
objectMaps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : collection
Type:
objectDefines query criteria that can be applied on a resource collection.
Show Source
-
filter: string
The resource collection will be queried using the specified filter condition.
-
includeTotalItems: boolean
Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
-
limit: integer
Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
-
offset: integer
Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
-
privilege: string
Represents the privilege or action required to check for while serving a request to access a resource.
-
sortBy: array
sortBy
Orders a resource collection based on the specified fields.
Nested Schema : sortBy
Type:
arrayOrders a resource collection based on the specified fields.
Show Source
Nested Schema : type
Type:
objectObject with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : parameters
Type:
objectValues to be applied in a parameterized filter specific to the view.
Response
Default Response
Successful response of retrieving view businessUnitProfileValues for resource Service Business Units
Root Schema : serviceBusinessUnits_view-businessUnitProfileValues
Match All
The service business units resource is used to view, create, and update business unit profile values for service.
Show Source
-
object
__collection_context
-
object
serviceBusinessUnits_view-businessUnitProfileValues-allOf[1]
The service business units resource is used to view, create, and update business unit profile values for service.
Nested Schema : serviceBusinessUnits_view-businessUnitProfileValues-allOf[1]
Type:
objectThe service business units resource is used to view, create, and update business unit profile values for service.
Show Source
Nested Schema : totalItems
Type:
Show Source
object-
qualifier: string
Allowed Values:
[ "eq", "gt", "est", "err" ] -
value: integer
Nested Schema : items-allOf[0]-allOf[1]
Type:
Show Source
object-
businessUnit:
businessUnit
-
createdBy: string
Title:
Created ByRead Only:trueThe user who created the record. -
enterpriseIdentifier: string
(big-integer)
Title:
Enterprise IDIdentifier of the enterprise for the profile value. -
optionId: string
(big-integer)
Title:
Option IDUnique identifier of the service business unit profile value. -
optionShortName: string
Title:
Option Short NameShort name of the service business unit profile option. -
profileOptionName:
profileOptionName
-
profileOptionValue: string
Title:
Profile Option ValueValue assigned to the service business unit profile option. -
siteLevelValueFlag: boolean
Title:
Use Site Level ValueIndicates whether the site level value should be used. -
timeCreated: string
(date-time)
Title:
Creation DateRead Only:trueThe date and time when the record was created. -
timeUpdated: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time when the record was last updated. -
updatedBy: string
Title:
Last Updated ByRead Only:trueThe user who last updated the record.
Nested Schema : items-allOf[1]
Type:
objectNested Schema : profileOptionName
Match All
Name of the service business unit profile option.
Show Source
-
string
Title:
Profile Option NameName of the service business unit profile option. -
string
Allowed Values:
[ "ORA_SVC_SR_RESPONSE_TEMPLATE_NAME_ISR", "ORA_SVC_SR_SYSTEM_RESPONSE_TEMPLATE_NAME_ISR", "SVC_HCM_PROD_CATALOG_USAGE", "SVC_ISR_PROD_CATALOG_USAGE", "SVC_OUTBOUND_EMAIL_FROM", "SVC_PROD_CATALOG_USAGE", "SVC_SR_FORWARD_TEMPLATE_NAME", "SVC_SR_RESPONSE_TEMPLATE_NAME", "SVC_SR_RESPONSE_TEMPLATE_NAME_HRD", "SVC_SR_SYSTEM_RESPONSE_TEMPLATE_NAME", "SVC_SR_SYSTEM_RESPONSE_TEMPLATE_NAME_HRD", "SVC_SR_FORWARD_TEMPLATE_NAME_HRD" ]
Nested Schema : businessUnit-allOf[1]
Type:
Show Source
object-
effectiveEndDate: string
(date)
Title:
End DateRead Only:trueThe end date of the date range within which the business unit is effective. -
effectiveStartDate: string
(date)
Title:
Start DateRead Only:trueThe start date of the date range within which the business unit is effective. -
id: string
(big-integer)
Title:
Business Unit IDRead Only:trueThe unique identifier of the business unit. -
name: string
Title:
Business UnitRead Only:trueThe translated name for the business unit.